Subject: Nested dirs for non existing targets

From: Andrew Chambers <[email-masked]>
Date: Thu, 14 Apr 2022 14:05:26 +1200

Hi there,

I noticed every time I mistype a target, I have to delete the 
directories that it creates... e.g.

If I mean to type:

redo ../foo/bar/baz

and I accidentally type:

redo ./foo/bar/baz

I will need to clean up some junk directories that goredo has created.

Other redo implementations do not seem to create nested target 
directories like this, is this the intended behavior? I wondered if 
perhaps it only meant to create the .redo directory, but not necessarily 
the parents that do not exist. I wonder if it should avoid creating the 
empty target directories if they do not exist and instead raise an error.

Regards,
Andrew Chambers